> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-user-guides/snap2snomed-user-guide/how-to-.../3-mapping-with-snap2snomed/3.1-workflow/3.1.1-workflow-management.md).

# Workflow Management

Snap2SNOMED supports the requirements of managing a variety of different workflows. Depending on business requirements and availability of personnel, a project owner can assign different roles to users to achieve different levels of control.

Participants can have one of three roles within a project:

<table data-full-width="true"><thead><tr><th width="127.72137451171875">Role</th><th>Description</th></tr></thead><tbody><tr><td>Owner</td><td>An owner has full permissions within a project. They are able to completely manage project membership and project workflow. A project must have at least one owner.</td></tr><tr><td>Member</td><td>A member has some permissions within a project. They are able to manage their own workflow within a project</td></tr><tr><td>Guest</td><td>A guest has limited permissions within a project. They have read access to the project and are unable to manage any workflow. They can only complete tasks that are assigned to them by the owner(s)</td></tr></tbody></table>

Some example scenarios

<table data-full-width="true"><thead><tr><th width="140.84283447265625">Size of team</th><th width="174.861083984375">Scenario</th><th width="187.1068115234375">Solution</th><th width="188.908935546875">Result</th><th width="311.025146484375">Work and tasking management</th><th width="225.837646484375">Membership management</th></tr></thead><tbody><tr><td>1</td><td>Single user project</td><td>By default, a single user project has one owner. No other settings are required</td><td>The "Owner" is able to self-select work and manage membership to project</td><td>Full control of owner</td><td>1 user (owner) controlling membership</td></tr><tr><td>2+</td><td>Project owner wishes to direct the workflow of all author and review work and specify who does what and in what order.Project owner wants to have full control of project membership</td><td>Project owner can assign all participants in the project as "Guests".</td><td>Project owner can then create tasks and assign them to each "Guest" as required to complete the work"Guests" cannot self-select work, but need to be assigned tasks by the owner</td><td>High level of control of owner</td><td>1 user (owner) controlling membership</td></tr><tr><td>2+</td><td>Project owner wishes to allow some users to self-select and complete work, but direct work specifically to other usersProject owner wants to have full control of project membership</td><td>Project owner can assign some participants as "Members" and some users as "Guests"</td><td>"Members" are able to self-select work"Guests" cannot self-select work, but need to be assigned tasks by the owner</td><td>Moderate level of control of owner</td><td>1 user (owner) controlling membership</td></tr><tr><td>2+</td><td>Project owner wishes all users to self-select and complete workProject owner wants to have full control of project membership</td><td>Project owner can assign all participants as "Members"</td><td>"Members" are able to self-select work</td><td>Low level of control of owner</td><td>1 user (owner) controlling memberships</td></tr><tr><td>2+</td><td>Project owner wishes all users to self-select and complete workProject owner wants assistance in controlling of project membership</td><td>Project owner can assign some participants as "Owners" and some users as "Members"</td><td>"Owners" are able to self-select work and manage membership to project"Members" are able to self-select work</td><td>Low level of control of owner</td><td>Multiple users (owners) controlling memberships</td></tr><tr><td>2+</td><td>Project owner wishes all users to self-select and complete work and to allow other participants to manage membership</td><td>Project owner can assign all participants as "Owners"</td><td>"Owners" are able to self-select work and manage membership to project</td><td>Low level of control of owner</td><td>Multiple users (owners) controlling memberships</td></tr><tr><td>2+</td><td>Project owner wishes to allow some users to self-select and complete work, but direct work specifically to other usersProject owner wants assistance in controlling of project membership</td><td>Project owner can assign some participants as "Owners", some users as "Members", and some users as "Guests"</td><td>"Owners" are able to self-select work and manage membership to project. They can also create tasks and assign them to other users"Members" are able to self-select work"Guests" cannot self-select work, but need to be assigned tasks by the owner</td><td>Moderate level of control of owner</td><td>Multiple users (owners) controlling membership</td></tr></tbody></table>

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=snap2snomed+User+Guide&#x26;entry.670899847=Workflow%20Management" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-user-guides/snap2snomed-user-guide/how-to-.../3-mapping-with-snap2snomed/3.1-workflow/3.1.1-workflow-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
